> For the complete documentation index, see [llms.txt](https://docs.expel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expel.io/connect-your-technology/a-c-integrations/broadcom/broadcom-carbon-black-cloud-formerly-cb-threathunter-and-cb-defense-setup-for-workbench.md).

# Broadcom Carbon Black Cloud (formerly CB ThreatHunter and CB Defense) Setup for Workbench

## Step 1: Enable Console Access <a href="#h_01hye94nfpavrh2jmb5w2e2fnq" id="h_01hye94nfpavrh2jmb5w2e2fnq"></a>

This procedure creates a user account for Expel that keeps the Expel activity separate from other activity on the Carbon Black Cloud console.

Expel requires console access to allow analysts to perform investigation and triage. Without this additional level of information, alerts cannot be verified by our analysts and an investigation cannot be initiated. For more information, see [Why Expel Asks for Console Access](/connect-your-technology/about-integrations/why-expel-asks-for-console-access.md).

1. Navigate to the gear icon on the left side and click **Users**. Then click **Add User** on the top right of the screen.
2. Configure the user as follows:
   * **First name** - enter "Expel".
   * **Last name** - enter "SOC".
   * **Email** - enter "soc+\<Your\_Organization\_Name>@expel.io".
     * For example, if your organization were Acme Corp, the format would be "<soc+acme_corp@expel.io>".
   * **Role** - select **Level 2 Analyst**.
3. Click **Save**.

## Step 2: Generate API Credentials <a href="#h_01hye94nfq2ht2x678yg28vr70" id="h_01hye94nfq2ht2x678yg28vr70"></a>

To integrate the technology with Workbench, we need to create secure credentials to the API with the proper permissions.

1. In the Carbon Black Cloud console, navigate to **Settings > Roles**.
2. Navigate to **Settings > API Keys**.
3. Create a new API key by selecting **Add API Key** in the upper right corner.
4. Type a name for the new key. We suggest "Expel SOC".
5. From the Access Level list, select **Custom**.
6. From the Custom Access Level list, select either the **View All** role or the role you created above.
7. Complete the rest of the information and click **Save** to create the new key.
8. Take note of the **API ID** and **API Secret Key** for use in the next step.

## Step 3: Add Broadcom Carbon Black Cloud as a Security Device in Workbench <a href="#h_01hye94nfqder1mpc1hjjrnd8g" id="h_01hye94nfqder1mpc1hjjrnd8g"></a>

Now that you have the correct access configured and noted the credentials, you can integrate your tech with Workbench.

1. [Log in to Workbench](https://workbench.expel.io/auth/login?orig=%2F).
2. In the side menu, navigate to **Organization Settings > Security Devices**.
3. Select **Add Security Device**.
4. In the search box, type “Carbon Black” and then select the **Broadcom Carbon Black Cloud (formerly CB ThreatHunter and CB Defense)** integration.
5. Configure these details:
   * **Name** - enter the host name of the device.
   * **Location** - enter the geographic location of the appliance.
   * **Server Address** - enter the Carbon Black Cloud server address, usually <https://defense-prod05>. conferdeploy.net/
   * **Org ID** - enter your **CB Organization ID**.
   * **Org Key**- enter the **Org Key**.
   * **API ID** - enter the **API ID** created in [Step 2](#h_01hye94nfq2ht2x678yg28vr70).
   * **API Key** - enter the **API Secret Key** created in [Step 2](#h_01hye94nfq2ht2x678yg28vr70).
6. Click **Save**.
7. On the console access screen, select **Set up later**. Expel will complete configuration with the user you created in [Step 1](#h_01hye94nfpavrh2jmb5w2e2fnq).
8. Click **Save**.

Your device should be created successfully within a few seconds. A few reminders:

* After your connection is healthy, it will take some time for your device to begin polling and receiving data.
* To check on the status, select the downward arrow for your device in the first column and choose **View details**.
* Polling will happen first; data will be received after that. **You must refresh the page to see updates.**
* If your device does not begin polling within 15 minutes, and does not begin receiving data within 30 minutes, [contact our support team for help](/support/how-to-reach-us.md).
* To check if alerts are coming through, navigate to **Dashboards > Alert Analysis**. Scroll to the device you want to check, and select the **Expel Alerts** tab to reveal more alert information. It can take 36 to 72 hours for alerts to appear after setup, as we [tune your device](/workbench-reference/alerts/how-expel-alerts-work.md#device-tuning).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.expel.io/connect-your-technology/a-c-integrations/broadcom/broadcom-carbon-black-cloud-formerly-cb-threathunter-and-cb-defense-setup-for-workbench.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
